org.apache.felix.gogo.jline

## Class Expander

- java.lang.Object
- - org.jline.reader.impl.DefaultExpander
  - - org.apache.felix.gogo.jline.Expander

All Implemented Interfaces:
  org.jline.reader.Expander

    public class Expander
    extends org.jline.reader.impl.DefaultExpander

### Constructor Summary

Constructors
Constructor and Description
`Expander(org.apache.felix.service.command.CommandSession session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `expandVar(String word)`

### Methods inherited from class org.jline.reader.impl.DefaultExpander

`expandHistory, searchBackwards`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Expander

    public Expander(org.apache.felix.service.command.CommandSession session)

### Method Detail

#### expandVar

    public String expandVar(String word)

Specified by:
  `expandVar` in interface `org.jline.reader.Expander`
Overrides:
  `expandVar` in class `org.jline.reader.impl.DefaultExpander`